package com.chinacreator.quartz.directed;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;
import org.springframework.core.io.support.PropertiesLoaderUtils;
import org.springframework.scheduling.annotation.EnableScheduling;

import java.util.Arrays;
import java.util.Properties;

@Configuration
@SpringBootApplication
@EnableScheduling
@MapperScan({"com.chinacreator.quartz.directed"})
public class DirectedQuartzApplication{
    public static void main(String[] args) {
        SpringApplication.run(DirectedQuartzApplication.class, args);
    }

}
