package com.chinacreator.quartz.directed.file.dao.mydba;

import com.chinacreator.quartz.directed.file.bean.DirectedBean;
import com.chinacreator.quartz.directed.file.bean.DirectedJiyueBean;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface DirectedOrderDao {

    @Insert({"<script>",
            "INSERT into td_directed_order(orderid,cpid,productid,productnewid,usermob, " +
                    "usertype,subscrbtype,curstatus,ordertime,orderchannel,canceltime,cancelchannel,province,city,producttype,useraccount,directedtype,note) " +
                    " VALUES(#{bean.orderid},#{bean.cpid},#{bean.productid},#{bean.productnewid},#{bean.usermob} " +
                    " ,#{bean.usertype},#{bean.subscrbtype},#{bean.curstatus},#{bean.ordertime},#{bean.orderchannel},#{bean.canceltime},#{bean.cancelchannel},#{bean.province}, " +
                    " #{bean.city},#{bean.producttype},#{bean.useraccount},#{bean.directedtype},#{bean.note})",
            "</script>"})
    Integer insertOrder(@Param("bean") DirectedBean bean);


    @Select({"<script>",
            "SELECT orderid,ordertime,canceltime,cpid,productid,productnewid,usermob," +
                    "usertype,subscrbtype,curstatus,province,city,producttype,directedtype from td_directed_order" +
                    " where  usermob=#{bean.usermob} and productid=#{bean.productid}  ",
            "</script>"})
    List<DirectedBean> queryOrderList(@Param("bean") DirectedBean bean);

    @Update({"<script>",
            "UPDATE td_directed_order SET curstatus=#{bean.curstatus},cancelchannel=#{bean.cancelchannel},canceltime=#{bean.canceltime} where orderid=#{bean.orderid}",
            "</script>"})
    Integer updateCanecle(@Param("bean") DirectedBean bean);

    @Select({"<script>",
            "    SELECT a.*,b.productnewid FROM  tb_directed_jiyue a,tb_directed_product b where a.productid=b.productid and b.usertype='4' ",
            "</script>"})
    List<DirectedJiyueBean> queryProductlist();
}
